package modelo;

/**
 * Clase requisito no funcional, clase que crea un requisito no funcional
 * @author MW3 Software
 */
public class ReqNoFuncional extends Requisito
{
    /**
     * Descripcion del Requisito
     */
    private String descripcion;

    
    /**
     * Metodo que devuelve la descripcion
     * @return devuelve la descripcion del requisito
     */
    public String getDescripcion()
    {
        return descripcion;
    }

    /**
     * metodo que almacena la descripcion
     * @param descripcion Nuevo valor de descripcion del requisito
     */
    public void setDescripcion(String descripcion)
    {
        this.descripcion = descripcion;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

}
